
%--------------------------------------------------------------------------
% DEMO LEBESGUE CONSTANT.
%--------------------------------------------------------------------------

clear all;

vdeg=1:20;
example=2; % 

s='set_simplex_leb'; % PUT THE NAME OF YOUR FUNCTION HERE (WITHOUT .m EXTENSION).

%--------------------------------------------------------------------------
% HERE THE MAIN PROGRAM STARTS.
%--------------------------------------------------------------------------


diaryname=cat(2,'diary_',s,'.m');

diary on; diary(diaryname);

fprintf('\n \t ');
uu=cat(2,'function pts=',s,'(deg)');
fprintf(uu);

fprintf('\n \n \n \t switch deg \n')

for ii=1:length(vdeg)

    deg=vdeg(ii);

    %######################################################################
    % IMPORTANT: PUT YOUR SET HERE IF NEEDED!!!.
    %######################################################################

    switch example
        
        case 1 % YOUR FILE.
            pts=set_simplex_fek(deg);
            
        case 2 % YOUR FILE.
            pts=set_simplex_leb(deg);

    end

    [lebloc,detloc,condloc]=do_stats(deg,pts);
    leb(ii)=lebloc;
    dets(ii)=abs(detloc);
    conds(ii,1)=condloc;

end

fprintf('\n \t otherwise \n');

fprintf('\n \t pts_wam=simplex_wam(deg);');
fprintf('\n \t V_wam= dubiner_leg(deg,pts_wam);');
fprintf('\n \t [pts,w_disk,ind,C,P]=computing_fekete_points(...');
fprintf('\n \t pts_wam,V_wam,2,[],1);');

fprintf('\n \n \t end \n');

%-------------------------
% STATS.
%--------------------------
fprintf('\n \t %% STATS');
fprintf('\n \t %% |DEGR|  LEBESGUE   | ABS.DET.VAND.| COND. VAND. |')
fprintf('\n \t stats_matrix=[');
for ii=1:length(vdeg)
    fprintf('\n \t %2.0f %1.5e %1.5e %1.5e',vdeg(ii),leb(ii),...
        abs(dets(ii)),conds(ii,1));
end
fprintf('\n \t ]; \n');


%-----------------------
% FINAL SUMMARY.
%-----------------------

fprintf('\n \t %% ------------------------------------------------- ');
fprintf('\n \t %% |DEGR|  LEBESGUE   | ABS.DET.VAND.| COND. VAND. |')
fprintf('\n \t %% ------------------------------------------------- ');

format short e
for ii=1:length(vdeg)
    fprintf('\n \t %% | %2.0f | %1.5e | %1.5e | %1.5e |',vdeg(ii),leb(ii),...
        abs(dets(ii)),conds(ii,1));
end
fprintf('\n \t %% ------------------------------------------------- \n \n');
diary off;

